# class SignallingCircuitSpan | A span in a circuit group. More...
Full name | `TelEngine::SignallingCircuitSpan`
Definition | `#include <libs/ysig/yatesig.h>`
Inherits | TelEngine::SignallingComponent [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- virtual ~SignallingCircuitSpan ()
- inline SignallingCircuitGroup* group () const
- inline const String& id () const
- inline unsigned int increment () const

#### Protected Methods

- SignallingCircuitSpan (const char* id = 0, SignallingCircuitGroup* group = 0)

#### Protected Members

- SignallingCircuitGroup* m_group
- unsigned int m_increment

## Detailed Description

An interface to a span belonging to a circuit group

~SignallingCircuitSpan () | ### ~SignallingCircuitSpan

[virtual]

Destructor. Remove from group's queue

inline SignallingCircuitGroup* group () | ### group

[const]

Get the owner of this span

Returns: SignallingCircuitGroup pointer or 0

inline const String& id () | ### id

[const]

Get this span's id

Returns: The id of this span

inline unsigned int increment () | ### increment

[const]

Get the increment in circuit numbers caused by this span

Returns: Circuit number increment for this span

SignallingCircuitSpan (const char* id = 0, SignallingCircuitGroup* group = 0) | ### SignallingCircuitSpan

[protected]

Constructor

Parameters:

id | Optional span id
group | Optional circuit group owning the span's circuits

SignallingCircuitGroup* m_group | ### m_group

[protected]

unsigned int m_increment | ### m_increment

[protected]

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.